## mingw-w64-qt6-graphs-6.8.2-1.src.tar.zst

=== examples/graphs/graphprinting/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(graphprinting LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Quick3D)
find_package(Qt6 COMPONENTS Graphs)
find_package(Qt6 COMPONENTS PrintSupport)

qt_standard_project_setup(REQUIRES 6.8)

qt_add_executable(graphprinting
    main.cpp
)
set_target_properties(graphprinting PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(graphprinting PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
    Qt::Graphs
    Qt::PrintSupport
)

qt6_add_qml_module(graphprinting
    URI GraphPrintingExample
    NO_RESOURCE_TARGET_PATH
    SOURCES
        graphprinter.h graphprinter.cpp
    QML_FILES
        qml/graphprinting/main.qml
        qml/graphprinting/Graph2D.qml
        qml/graphprinting/Graph3D.qml
    RESOURCES
        qml/graphprinting/box_left.svg
        qml/graphprinting/box_left_fill.svg
        qml/graphprinting/documents.svg
        qml/graphprinting/documents_fill.svg
        qml/graphprinting/flatten.svg
        qml/graphprinting/flatten_square_fill.svg
        qml/graphprinting/folder.svg
        qml/graphprinting/folder_fill.svg
        qml/graphprinting/print.svg
        qml/graphprinting/print_fill.svg
)

install(TARGETS graphprinting
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/cpptest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_graphs_3d_bars3d)
    add_subdirectory(qgbars)
    add_subdirectory(qgbars-proxy)
    add_subdirectory(qgbars-modelproxy)
    add_subdirectory(qgbars-series)
    add_subdirectory(qginput)
    add_subdirectory(qgscene)
endif()
if(QT_FEATURE_graphs_3d_scatter3d)
    add_subdirectory(qgscatter)
    add_subdirectory(qgscatter-proxy)
    add_subdirectory(qgscatter-modelproxy)
    add_subdirectory(qgscatter-series)
endif()
if(QT_FEATURE_graphs_3d_surface3d)
    add_subdirectory(qgsurface)
    add_subdirectory(qgsurface-proxy)
    add_subdirectory(qgsurface-modelproxy)
    add_subdirectory(qgsurface-modelproxy-nan)
    add_subdirectory(qgsurface-heightproxy)
    add_subdirectory(qgsurface-series)
endif()

add_subdirectory(qgaxis-category)
add_subdirectory(qgaxis-logvalue)
add_subdirectory(qgaxis-value)
add_subdirectory(qgtheme)
add_subdirectory(qgcustom)
add_subdirectory(qgcustom-label)
add_subdirectory(qgcustom-volume)

=== tests/manual/qmlbarsrowcolors/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlbarsrowcolors LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmlbarsrowcolors
    GUI
    SOURCES
        main.cpp
    )

target_link_libraries(tst_qmlbarsrowcolors PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::Graphs
)

set(qmlbarsrowcolors_resource_files
    "qml/qmlbarsrowcolors/Axes.qml"
    "qml/qmlbarsrowcolors/Data.qml"
    "qml/qmlbarsrowcolors/main.qml"
)

qt6_add_resources(tst_qmlbarsrowcolors "qmlbarsrowcolors"
    PREFIX
        "/"
    FILES
        ${qmlbarsrowcolors_resource_files}
)

=== tests/manual/qmlvolume/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlvolume LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmlvolume
    GUI
    SOURCES
        datasource.cpp datasource.h
        main.cpp
    )
target_link_libraries(tst_qmlvolume PUBLIC
    Qt::Gui
    Qt::Graphs
    )

set(qmlvolume_resource_files
    "qml/qmlvolume/main.qml"
    )

qt_internal_add_resource(tst_qmlvolume "qmlvolume"
    PREFIX
    "/"
    FILES
    ${qmlvolume_resource_files}
    )

=== tests/auto/cpp2dtest/qgpiemodelmapper/CMakeLists.txt ===
qt_internal_add_test(tst_qgpiemodelmapper2d
    SOURCES
        tst_piemodelmapper.cpp
    INCLUDE_DIRECTORIES
        ../common
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Graphs
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-graphs
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.8.2
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='Qt Data Visualization module provides multiple graph types to visualize data in 3D space (mingw-w64)'
arch=(any)
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtgraphs.git"
msys2_references=(
  'archlinux: qt6-graphs'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:BSD-3-Clause WITH Qt-GPL-exception-1.0 AND GPL-3.0-only AND GFDL-1.3-no-invariants-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-base"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-qt6-quick3d"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('05c7a4a3482f6ffd7e9005964bb5ab634062a6d023ccd96f5447db6eae3c46d4')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-graphs() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base"
           "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
           "${MINGW_PACKAGE_PREFIX}-qt6-quick3d")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-graphs-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
